// -*- coding: utf-8 -*-
// Title: Pellucidar.sc
// Author: JackDole 
// Date: 2016.02.08 13:09:46

Planet	"Earth II/Pellucidar"
{
	ParentBody     "Sol"
	Class          "Terra"

	Mass            1.0
	Radius          6378.14
	Oblateness      0.00335

	Age	            4.54

	RotationPeriod  23.9344694
	Precession      25592
	Obliquity       23.4392911
	EqAscendNode    180.0
	RotationOffset -79.5
	
	Color         ( 0.850 0.850 1.000 )
	Albedo          0.306
	AlbedoBond      0.306
	AlbedoGeom      0.367
	Brightness      1.4

	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
	}
	
	Surface
	{
		DiffMap        "EarthInt/00_Base.*"
		BumpMap        "EarthInt/00_BaseBump.*"
		BumpHeight      194.75
		BumpOffset      108.96

		GlowMap        "EarthInt/Night.*"
		GlowMode       "Night"
		GlowColor      (1.00 0.90 0.66)
		GlowBright      1.0

		DiffMapAlpha	"Transp"
	}
	
	Clouds
	{
		Height			-20
		DiffMap        "EarthInt/Shadow.*"
		DiffMapAlpha	"Transp"
		Opacity			1.0
		Coverage		1.0
		Velocity		0.0
	}
	
	Clouds
	{
		Height			-35
		DiffMap        "EarthInt/00_Base.*"
		BumpMap        "EarthInt/00_BaseBump.*"
		BumpHeight      18.95
		BumpOffset      21.792

		GlowMap        "EarthInt/Night.*"
		GlowMode       "Night"
		GlowColor      (1.00 0.90 0.66)
		GlowBright      1.0

		DiffMapAlpha	"Transp"
		Velocity		0.0
	}
	
	/**/
	Clouds
	{
		// Clouds map author: Vladimir Romanyuk "SpaceEngineer"
		DiffMap        "Earth/Clouds-SE"
		DiffTileSize    258
		DiffTileBorder  1
		BumpMap        "Earth/Clouds-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      5
		BumpOffset      0.0
		DayAmbient      3.0
		Hapke           0.2
		Height          90.0
		Velocity        0.0
		DiffMapAlpha	"Transp"
	}
	/**/
	
	Atmosphere
	{
		Height      200
		Greenhouse  33
		Pressure    1.0
		Density     1.2929
		MolarMass   28.9644
		Adiabat     0.28
		Model      "Earth"
		Bright      5.0
		Opacity     0.5
		SkyLight    3.0
		EclipseBright  250.0
		EclipseColor ( 1.000 0.600 0.200 )
	}

	Aurora
	{
		Height       200
		TopColor    (0.5 0.5 0.5)
		BottomColor (0.0 1.0 0.0)
		NorthLat     82
		NorthLon    -113
		NorthRadius  2500
		NorthWidth   600
		NorthRings   3
		NorthBright  0.3

		SouthLat    -63
		SouthLon     138
		SouthRadius  2000
		SouthWidth   600
		SouthRings   3
		SouthBright  0.3
	}

	NoRings			true
	
	Orbit
	{
		Epoch          2451545
		RefPlane      "Ecliptic"
		Period         1.0
		SemiMajorAxis  1.0000010178
		Eccentricity   0.0167086342
		Inclination    0.0
		AscendingNode  348.739
		LongOfPericen  102.93734808
		MeanLongitude  280.46645683
	}
}

Star "Sun "
{
	ParentBody	"Pellucidar"
	Class		"G2 V"
	
	Radius		125
	Mass		8e-7
	Oblateness	0
	
	AbsMagn		25
	
	FixedPosPolar	(0.000000 0.000000 0.000000)
}

DwarfMoon	"Moon "
{
	ParentBody	"Pellucidar"
	Class		"Selena"
	
	Radius		250
	Oblateness	0
	
	FixedPosPolar  (3.141593 0.436332 2000.000000)
}

